summaryrefslogtreecommitdiff
path: root/recipes-support
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2017-02-06 09:31:03 -0600
committerJohn Klug <john.klug@multitech.com>2017-02-06 09:31:03 -0600
commit0dd115625c6e0d57796cb43e22513dab1577bb80 (patch)
tree8cac7dd066618ccb8d98fc1d7b5d3a6591d0fd5f /recipes-support
parent8097da2837488c31472d29f28a5585058ccf846f (diff)
downloadmeta-mlinux-0dd115625c6e0d57796cb43e22513dab1577bb80.tar.gz
meta-mlinux-0dd115625c6e0d57796cb43e22513dab1577bb80.tar.bz2
meta-mlinux-0dd115625c6e0d57796cb43e22513dab1577bb80.zip
Do not error if gpsd is not installed
Diffstat (limited to 'recipes-support')
-rw-r--r--recipes-support/ntp/files/ntpd-init.patch6
1 files changed, 3 insertions, 3 deletions
diff --git a/recipes-support/ntp/files/ntpd-init.patch b/recipes-support/ntp/files/ntpd-init.patch
index 42fbbe5..2ef7e0b 100644
--- a/recipes-support/ntp/files/ntpd-init.patch
+++ b/recipes-support/ntp/files/ntpd-init.patch
@@ -1,6 +1,6 @@
diff -Naur old/ntpd new/ntpd
---- old/ntpd 2017-02-03 10:11:28.136849640 -0600
-+++ new/ntpd 2017-02-03 10:33:58.537991855 -0600
+--- old/ntpd 2017-02-06 09:21:52.607908299 -0600
++++ new/ntpd 2017-02-06 09:22:52.417169090 -0600
@@ -1,6 +1,8 @@
-#! /bin/sh
+#! /bin/bash
@@ -24,7 +24,7 @@ diff -Naur old/ntpd new/ntpd
- echo "done"
+ /usr/sbin/start-stop-daemon -N -20 --start -x /usr/sbin/ntpd --test -- -u ntp:ntp -p /var/run/ntp.pid "$@" \
+ || return 1
-+ if ((GPSD_REQUIRED == 1)) && [[ -L /dev/gps0 ]] && [[ -f "${GNSSRST}" ]]; then
++ if [[ -x /usr/sbin/gpsd_ubx_settime ]] && ((GPSD_REQUIRED == 1)) && [[ -L /dev/gps0 ]] && [[ -f "${GNSSRST}" ]]; then
+ . /etc/default/gpsd
+ if ((SET_SYSTEM_CLOCK == 1)) && /usr/sbin/gpsd_ubx_settime ; then
+ # We just set the system time by the GPS. Should be within 2 seconds.